SETGROUPS(2)

NAME
setgroups - set group access list

LIBRARY
libc

SYNOPSIS
#include <sys/param.h>
#include <unistd.h>
int
setgroups(int ngroups, const gid_t *gidset);

DESCRIPTION
The setgroups() system call sets the group access list of the current user process according to the array gidset. The ngroups argument indicates the number of entries in the array and must be no more than NGROUPS, as defined in <sys/param.h>.

Only the super-user may set new groups.

RETURN VALUES

ERRORS
The setgroups() system call will fail if:

[EPERM]
    The caller is not the super-user.

[EINVAL]
    The number specified in the ngroups argument is larger than the NGROUPS limit.

[EFAULT]
    The address specified for gidset is outside the process address space.

SEE ALSO
getgroups(2), initgroups(3)

HISTORY
The setgroups() system call appeared in 4.2BSD.